<template>
    <div class="tela">
        <SideBar />
        <div class="strip" v-if="!$store.state.showSidebar"></div>
        <div class="main">
            <Header />
            <div class="content">
                <div class="d-flex gap-3">
                    <CardInfo class="card-info" style="background-color: #3d6c53;">
                        <template v-slot:title><span class="card-title">Quartos Livres</span></template>
                        <template v-slot:info><span class="card-data">{{ $store.state.availableRooms }}</span></template>
                    </CardInfo>
                    <CardInfo class="card-info" style="background-color: #912324;">
                        <template v-slot:title><span class="card-title">Quartos Ocupados</span></template>
                        <template v-slot:info><span class="card-data">{{ $store.state.occupiedRooms }}</span></template>
                    </CardInfo>
                    <CardInfo class="card-info">
                        <template v-slot:title><span class="card-title">Qntd. Hóspedes</span></template>
                        <template v-slot:info><span class="card-data">{{ $store.state.totalGuests }}</span></template>
                    </CardInfo>
                    <div class="w-50 btn-group-vertical">
                        <button class="w-100 btn btn-sm btn-outline-primary" data-bs-toggle="modal" data-bs-target="#modalNewCheckin">Check-In</button>
                        <button class="w-100 btn btn-sm btn-outline-primary" data-bs-toggle="modal" data-bs-target="#modalNewCheckout">Check-Out</button>
                        <button class="w-100 btn btn-sm btn-outline-primary" data-bs-toggle="modal" data-bs-target="#modalNewReservation">Nova Reserva</button>
                    </div>
                </div>
                <Table />
            </div>
        </div>
    </div>
</template>

<script>
import SideBar from '@/components/SideBar'
import Header from '@/components/Header'
import CardInfo from '@/components/CardInfo'
import Table from '@/components/Table'

export default {
    name: 'Home',
    components: {
        Header,
        SideBar,
        CardInfo,
        Table
    }
}
</script>

.<style scoped>
.main {
    width: 100%;
}

.content {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px 20px;
}

.strip {
    width: 15px;
    height: 100vh;
    background-color: #35769A;
}

/* Slot do CardInfo */
.card-info {
    background-color: #878787;
    color: #fff;
}

.card-title {
    font-weight: 600;
    margin: 0;
}

.card-data {
    font-size: 2rem;
    font-weight: 600;
    text-align: center;
}
</style>